[Mongo Portable](../README.md) > [Connection](../classes/connection.md)



# Class: Connection

## Index

### Constructors

* [constructor](connection.md#constructor)


### Properties

* [id](connection.md#id)
* [instance](connection.md#instance)
* [name](connection.md#name)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new Connection**(pName: *`string`*, pId: *`any`*, pInstance: *[MongoPortable](mongoportable.md)*): [Connection](connection.md)


*Defined in [utils/ConnectionHelper.ts:9](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/utils/ConnectionHelper.ts#L9)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| pName | `string`   |  - |
| pId | `any`   |  - |
| pInstance | [MongoPortable](mongoportable.md)   |  - |





**Returns:** [Connection](connection.md)

---


## Properties
<a id="id"></a>

###  id

**●  id**:  *`any`* 

*Defined in [utils/ConnectionHelper.ts:8](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/utils/ConnectionHelper.ts#L8)*





___

<a id="instance"></a>

###  instance

**●  instance**:  *[MongoPortable](mongoportable.md)* 

*Defined in [utils/ConnectionHelper.ts:9](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/utils/ConnectionHelper.ts#L9)*





___

<a id="name"></a>

###  name

**●  name**:  *`string`* 

*Defined in [utils/ConnectionHelper.ts:7](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/utils/ConnectionHelper.ts#L7)*





___


